#include "xgfxdrawsurf.h"

XGfxDrawSurf::XGfxDrawSurf()
    : XAsset()
    , mFields()
{
    SetName("GFX Draw Surface");
}

XGfxDrawSurf::~XGfxDrawSurf()
{

}

void XGfxDrawSurf::ParseData(XDataStream *aStream)
{
    mFields.ParseData(aStream);
}

void XGfxDrawSurf::Clear()
{
    mFields.Clear();
}
